# Database

You cannot create a new database with Linx. With Linx you can connect to an existing database and perform various operations on your data. Linx supports SQL Server, Oracle, ODBC, OLE DB and MongoDB.

For details on how to connect to your database, go [here](/reference/plugins/database/shared-properties/connectioneditor.md).

If you want to run a simple SQL query, add the **ExecuteSQL** function to your solution and make use of the [SQL Editor](/reference/plugins/database/shared-properties/sql-editor.md).

Functions that can be used with databases:

**BeginTransaction**:

To start a transaction in a database that facilitate performing multiple database operations on the same transaction.

**DBBulkCopy**:

To efficiently copy large amounts of rows to a table in a SQL Server or Oracle database.

**ExecuteSQL**:

To execute a SQL query and return relevant data. The query can contain any SQL and calls that are supported by the database driver.

**ExecuteStoredProcedure**:

To run a stored procedure on a database.

**MongoDBMapReduce**:

To perform a map-reduce style data aggregation on a Mongo database.

**MongoDBRead**:

To perform read operations on a Mongo database.

**MongoDBWrite**:

To perform write operations on a Mongo database.

***

### Links <a href="#links" id="links"></a>

[Database License](/reference/plugins/database/license.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
